Aller au contenu
Skols28

résolu ✔ Mute Chat Global

Messages recommandés

Version de Minecraft : 1.8.8
Version de Skript : 2.1.2

Type du skript : Mute/unmute pour le chat global

Description du script :

Bonsoir, j'aimerai un skript permettant de mute/unmute le global en notifiant celui qui la fais,

les commandes serait "/Skolschatmute" Pour mute le chat global et "/Skolschatunmute" pour unmute le chat global,

la commande ne sera pas à disposition tout le monde car il faudra la permission Skols.chatmute et Skols.Chatunmute.

Merci

Partager ce message


Lien à poster
Partager sur d’autres sites

Je suis en train de te faire ça 🙂 Petite question, ne veux tu pas plutôt 1 seule commande qui muterait si le chat n'est pas mute et unmuterait si le chat est mute ? Ou même par exemple /Skolschat on/off

Modifié par gwladys_lgl

Partager ce message


Lien à poster
Partager sur d’autres sites

Contenu masqué

    Réagissez ou répondez à ce message afin de consulter le contenu masqué.

Tiens les messages/permissions sont modifiable dans la partie "options". Mais il peut y avoir un problème si tu as un script de grade ou chat par exemple pour que dans le chat on voit le grade du joueur ou si tu n'as pas laissé le chat normal (ex: voir screen) Le message s'enverra même si le chat est mute donc si c'est le cas envoie moi ton scripts (il doit y avoir un "on chat:" dedans)

Screenshot_2.png

Partager ce message


Lien à poster
Partager sur d’autres sites
à l’instant, gwladys_lgl a dit :

Derien, je t'avouerais que j'ai passé + de temps à écrire mon message que de faire le script xD 

c'est très gentil de ta part d'aider les gens ^^ 

Pour en revenir au skript j'ai quelque petit problème.. 

Voici le skript :

 

options:
    permMute: Skols.Chat
    noPermMsg: &cTu n'as pas la permission de faire cela ! #Tu peux le changer évidemment
    errorMsg: &cERREUR: /Skolschat <on/off>
    activateMsg: %player% a activé le chat.  
    disableMsg: %player% a désactivé le chat.  

command /Skolschat [<text>]:
    permission: {@permMute}
    permission message: {@noPermMsg}
    trigger:
        if arg 1 is set:
            if arg 1 is "on":
                set {chat} to true
                broadcast "{@activateMsg}"
            else if arg 1 is "off":
                clear {chat}
                broadcast "{@disableMsg}"
            else:
                message "{@errorMsg}" to player
        else:
            message "{@errorMsg}" to player

on chat:
    if {chat} is not set:
        cancel event
        message "&cLe chat est désactivé !" to player

et voici le message d'erreur : Le skript se nomme SkolsBan car je l'ai pas rename 

image.png.ef5fc1fdedebee8099c4cc566b9af97b.png

Partager ce message


Lien à poster
Partager sur d’autres sites
il y a 4 minutes, Skols28 a dit :

c'est très gentil de ta part d'aider les gens ^^ 

Pour en revenir au skript j'ai quelque petit problème.. 

Voici le skript :

 

options:
    permMute: Skols.Chat
    noPermMsg: &cTu n'as pas la permission de faire cela ! #Tu peux le changer évidemment
    errorMsg: &cERREUR: /Skolschat <on/off>
    activateMsg: %player% a activé le chat.  
    disableMsg: %player% a désactivé le chat.  

command /Skolschat [<text>]:
    permission: {@permMute}
    permission message: {@noPermMsg}
    trigger:
        if arg 1 is set:
            if arg 1 is "on":
                set {chat} to true
                broadcast "{@activateMsg}"
            else if arg 1 is "off":
                clear {chat}
                broadcast "{@disableMsg}"
            else:
                message "{@errorMsg}" to player
        else:
            message "{@errorMsg}" to player

on chat:
    if {chat} is not set:
        cancel event
        message "&cLe chat est désactivé !" to player

et voici le message d'erreur : Le skript se nomme SkolsBan car je l'ai pas rename 

image.png.ef5fc1fdedebee8099c4cc566b9af97b.png

ça doit venir de Skript lui-même, je te conseille d'installer la 2.2dev27

Contenu masqué

    Réagissez ou répondez à ce message afin de consulter le contenu masqué.

On voit que ça n'arrive même pas a reload le script donc essaies d'installer la version et tu me dis si t'as encore des erreurs 😕

Partager ce message


Lien à poster
Partager sur d’autres sites
à l’instant, Skols28 a dit :

j'essaie de voir avec d'autre version car avec la 2.2dev27 j'ai 280 au total dans mes skript donc je vais installer l'avant dernière pour voir si elle fonctionne en 1.8.8

 

280 erreurs ? c'est bizarre essaies dev36 alors mais ça doit venir de tes add ons ou autre

Partager ce message


Lien à poster
Partager sur d’autres sites

J'ai supprimer tout mes addons et les fichiers, j'ai réinstalle skript mais Dev36 ne fonctionne pas, je vais essayer des versions en dessous

EDIT: j'ai installer la 2.3.6 et pas Dev36 je réessaie avec la bonne cette fois ci  

EDIT2: La dev36 Ne fonctionne pas 😕

 

J'ai essayer d'installer :

Skript 2.4-beta7

Skript 2.3.1

Skript 2.2Dev37

Skript 2.2Dev32

Skript 2.2Dev30d

Skript 2.2Dev3b

Skript 2.2Dev36

Skript 2.3.6

Contenu masqué

    Réagissez ou répondez à ce message afin de consulter le contenu masqué.

 

Aucune ne fonctionne...

 

 

Voici ce que sa donne tout le temps même sans skript installer 

 

image.png.ca7f2e6d8427e7a31c101ba1519055d5.png

Modifié par Skols28

Partager ce message


Lien à poster
Partager sur d’autres sites
il y a 36 minutes, Skols28 a dit :

Voici ce que sa donne tout le temps même sans skript installer 

 

image.png.ca7f2e6d8427e7a31c101ba1519055d5.png

il faut que tu stop ton serveur, supprimes le fichier aliases english.sk dans le dossier Skrip (et non scripts) et que tu le redémarre 

Partager ce message


Lien à poster
Partager sur d’autres sites

Voici ce qui reste après

image.png.4f268cbe4f10a105b09cf8827e011fa1.png

 

J'ai reussi, j'ai installer la version Dev26f, J'ai fais "/sk reload all" sa m'a affiche Encountered Bla bla error, j'ai du allez dans le fichier supprimer les endroits y'avais marquer par exemple 

#1.10 

Bla bla.. 

 

J'ai du supprimer ça car sa appartenait à la version 1.10 et sa chercher les blocs en 1.8 donc sa mettait des errors, maintenant je vais essayer d'installer mes skript et je pris pour que sa fonctionne

 

RS j'ai mal edit

Partager ce message


Lien à poster
Partager sur d’autres sites
Il y a 18 heures, Skols28 a dit :

garde la dev27 et les erreurs du aliases english c’est pas grave il faut les laisser c’est normal j’ai les mêmes 

Partager ce message


Lien à poster
Partager sur d’autres sites

Contenu masqué

    Réagissez ou répondez à ce message afin de consulter le contenu masqué.

Tout est fonctionnelle normalement dis moi de ton côté.

Modifié par ZWolfPro

Partager ce message


Lien à poster
Partager sur d’autres sites
il y a 1 minute, Skols28 a dit :

Vos skript sont sûrement très bien et je vous en remercie mais je n'arrive pas à installer skript..

Comme je l'ai dit plus haut, les erreurs du fichier aliases-english.sk sont totalement normales. J'ai les mêmes et ça ne pose aucun problème

Partager ce message


Lien à poster
Partager sur d’autres sites
Il y a 2 heures, Skols28 a dit :

Oui d'accord mais regarde par toi même j'essaie avec plusieurs versions mais sa fonctionne pas...

image.png.4497527a1878a67617d44861847ed095.png

C'est parce que tu as dû prendre une version avec des bugs. Donc essaye dans prendre une autres.

Partager ce message


Lien à poster
Partager sur d’autres sites
Invité
Ce sujet ne peut plus recevoir de nouvelles réponses.

×
×
  • Créer...

Information importante

Nous avons placé des cookies sur votre appareil pour aider à améliorer ce site. Vous pouvez choisir d’ajuster vos paramètres de cookie, sinon nous supposerons que vous êtes d’accord pour continuer.